Bug 847879 - [abrt] xmlcopyeditor-1.2.0.4-2.fc17: gpa_node_get_path_value: Process /usr/bin/xmlcopyeditor was killed by signal 11 (SIGSEGV)
[abrt] xmlcopyeditor-1.2.0.4-2.fc17: gpa_node_get_path_value: Process /usr/bi...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xmlcopyeditor (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ignacio Vazquez-Abrams
Fedora Extras Quality Assurance
abrt_hash:44d789a4b81fb46dfd59f471af2...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-13 17:52 EDT by mdmpsyd@gmail.com
Modified: 2013-07-31 20:58 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 20:58:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (59.76 KB, text/plain)
2012-08-13 17:52 EDT, mdmpsyd@gmail.com
no flags Details
File: maps (61.10 KB, text/plain)
2012-08-13 17:52 EDT, mdmpsyd@gmail.com
no flags Details
File: dso_list (12.18 KB, text/plain)
2012-08-13 17:52 EDT, mdmpsyd@gmail.com
no flags Details
File: build_ids (4.92 KB, text/plain)
2012-08-13 17:53 EDT, mdmpsyd@gmail.com
no flags Details

  None (edit)
Description mdmpsyd@gmail.com 2012-08-13 17:52:48 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        xmlcopyeditor /home/mark/Dropbox/REM/extensions/WallFactory/wallfactory.xml
crash_function: gpa_node_get_path_value
executable:     /usr/bin/xmlcopyeditor
kernel:         3.5.1-1.fc17.x86_64
pid:            22406
pwd:            /home/mark
remote_result:  NOTFOUND
time:           Mon 13 Aug 2012 05:36:31 PM EDT
uid:            1000
username:       mark
xsession_errors: 

backtrace:      Text file, 61199 bytes
build_ids:      Text file, 5043 bytes
dso_list:       Text file, 12469 bytes
maps:           Text file, 62562 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/mark/1

core_backtrace:
:9dbfd628afc789ea99e8af3fbbe4d45ff8fc5878 0x47d3a gpa_node_get_path_value libgnomeprint-2-2.so.0 -
:9dbfd628afc789ea99e8af3fbbe4d45ff8fc5878 0x1be67 gnome_print_config_get libgnomeprint-2-2.so.0 -
:9e028577f30c598f369ec3d060b8b105e911ed10 0x244a2d wxGnomePrintNativeData::TransferTo(wxPrintData&) libwx_gtk2u_core-2.8.so.0 -
:9e028577f30c598f369ec3d060b8b105e911ed10 0x24486c wxGnomePrintDialog::ShowModal() libwx_gtk2u_core-2.8.so.0 -
:9e028577f30c598f369ec3d060b8b105e911ed10 0x24c113 wxGnomePrinter::PrintDialog(wxWindow*) libwx_gtk2u_core-2.8.so.0 -
:9e028577f30c598f369ec3d060b8b105e911ed10 0x24d130 wxGnomePrinter::Print(wxWindow*, libwx_gtk2u_core-2.8.so.0 -
:3c4b29b666ec261f072062e01c941b2b275c91af 0x7298b wxHtmlEasyPrinting::DoPrint(wxHtmlPrintout*) libwx_gtk2u_html-2.8.so.0 -
:3c4b29b666ec261f072062e01c941b2b275c91af 0x72e0a wxHtmlEasyPrinting::PrintText(wxString libwx_gtk2u_html-2.8.so.0 -
:b8c106c5d198059805c97c1df741f5e6f07a217d 0x31ebd - [exe] -
:b8c106c5d198059805c97c1df741f5e6f07a217d 0x25908 - [exe] -
:1930c8cd9ca42879da095fd8b54478483f71d785 0xe6796 wxEvtHandler::ProcessEventIfMatches(wxEventTableEntryBase libwx_baseu-2.8.so.0 -
:1930c8cd9ca42879da095fd8b54478483f71d785 0xe6904 wxEventHashTable::HandleEvent(wxEvent&, libwx_baseu-2.8.so.0 -
:1930c8cd9ca42879da095fd8b54478483f71d785 0xe6c27 wxEvtHandler::ProcessEvent(wxEvent&) libwx_baseu-2.8.so.0 -
:1930c8cd9ca42879da095fd8b54478483f71d785 0xe6bb0 wxEvtHandler::ProcessEvent(wxEvent&) libwx_baseu-2.8.so.0 -
:9e028577f30c598f369ec3d060b8b105e911ed10 0x2d3519 wxWindowBase::TryParent(wxEvent&) libwx_gtk2u_core-2.8.so.0 -
:9e028577f30c598f369ec3d060b8b105e911ed10 0x2ccab1 wxToolBarBase::OnLeftClick(int, libwx_gtk2u_core-2.8.so.0 -
:9e028577f30c598f369ec3d060b8b105e911ed10 0x260540 - libwx_gtk2u_core-2.8.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0xf943 - libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x27d88 g_signal_emit_valist libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:23d1440088fed14354e355ac2cbdba1f38fcf1a3 0x91055 - libgtk-x11-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x20003 - libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x2866d g_signal_emit_valist libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:23d1440088fed14354e355ac2cbdba1f38fcf1a3 0x8fb33 - libgtk-x11-2.0.so.0 -
:23d1440088fed14354e355ac2cbdba1f38fcf1a3 0x14db4c - libgtk-x11-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x20450 - libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x282a7 g_signal_emit_valist libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:23d1440088fed14354e355ac2cbdba1f38fcf1a3 0x2815ae - libgtk-x11-2.0.so.0 -
:23d1440088fed14354e355ac2cbdba1f38fcf1a3 0x14b914 gtk_propagate_event libgtk-x11-2.0.so.0 -
:23d1440088fed14354e355ac2cbdba1f38fcf1a3 0x14bc7b gtk_main_do_event libgtk-x11-2.0.so.0 -
:fd952473da735f9c0f50de231aa3d84d7855ef57 0x61edc - libgdk-x11-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x47695 g_main_context_dispatch libglib-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x479c8 - libglib-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x47dc2 g_main_loop_run libglib-2.0.so.0 -
:23d1440088fed14354e355ac2cbdba1f38fcf1a3 0x14ac57 gtk_main libgtk-x11-2.0.so.0 -
:9e028577f30c598f369ec3d060b8b105e911ed10 0x1f81d8 wxEventLoop::Run() libwx_gtk2u_core-2.8.so.0 -
:9e028577f30c598f369ec3d060b8b105e911ed10 0x26a30c wxAppBase::MainLoop() libwx_gtk2u_core-2.8.so.0 -
:1930c8cd9ca42879da095fd8b54478483f71d785 0x978e5 wxEntry(int&, libwx_baseu-2.8.so.0 -
:b8c106c5d198059805c97c1df741f5e6f07a217d 0x24293 - [exe] -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=1
:HOSTNAME=Fedora
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:QTDIR=/usr/lib64/qt-3.3
:QTINC=/usr/lib64/qt-3.3/include
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=mark
:USERNAME=mark
:MAIL=/var/spool/mail/mark
:PATH=/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/mark/.local/bin:/home/mark/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/mark
:XMODIFIERS=@im=none
:KDE_IS_PRELINKED=1
:LANG=en_US.utf8
:GDM_LANG=en_US.utf8
:KDEDIRS=/usr
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/mark
:SHLVL=1
:LOGNAME=mark
:QTLIB=/usr/lib64/qt-3.3/lib
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-tRQifT1okz,guid=f6e00ead947fdd8ced6343ef0000003b
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/mark
:DISPLAY=:0.0
:QT_PLUGIN_PATH=/usr/lib64/kde4/plugins:/usr/lib/kde4/plugins
:XAUTHORITY=/var/run/gdm/auth-for-mark-2Fr2Dl/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/984,unix/unix:/tmp/.ICE-unix/984
:GNOME_KEYRING_CONTROL=/run/user/mark/keyring-cR0DLU
:GPG_AGENT_INFO=/run/user/mark/keyring-cR0DLU/gpg:0:1
:SSH_AUTH_SOCK=/run/user/mark/keyring-cR0DLU/ssh
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/fedora-xmlcopyeditor.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=22406

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 23274                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       23274                23274                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/mark/.xsession-errors
:pos:	562124
:flags:	0102002
:2:/dev/null
:pos:	0
:flags:	0100001
:3:/dev/null
:pos:	0
:flags:	0100001
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:socket:[1509218]
:pos:	0
:flags:	02004002
:6:socket:[1509224]
:pos:	0
:flags:	04002
:7:socket:[1509226]
:pos:	0
:flags:	02004002
:8:anon_inode:inotify
:pos:	0
:flags:	02004000
:9:/usr/share/xmlcopyeditor/rng
:pos:	9223372036854775807
:flags:	02304000
:10:socket:[1509239]
:pos:	0
:flags:	02004002
:11:/dev/urandom
:pos:	0
:flags:	02100000
:12:socket:[1509240]
:pos:	0
:flags:	02000002
:13:socket:[1531533]
:pos:	0
:flags:	02004002
:14:socket:[1540242]
:pos:	0
:flags:	02000002
:15:socket:[1541503]
:pos:	0
:flags:	02000002

smolt_data:
:
:
:General
:=================================
:UUID: bc6aacb2-882b-4dad-87c0-8ca431686c62
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: x86_64
:BogoMIPS: 3989.97
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM)2 Duo CPU     T6400  @ 2.00GHz
:CPU Stepping: 10
:CPU Family: 6
:CPU Model Num: 23
:Number of CPUs: 2
:CPU Speed: 2000
:System Memory: 2943
:System Swap: 4991
:Vendor: Hewlett-Packard
:System: HP G60 Notebook PC F.35
:Form factor: Notebook
:Kernel: 3.5.1-1.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:10521:4156:13835) pci, None, PCI/ISA, ICH9M LPC Interface Controller
:(5772:42:4156:4993) pci, ath9k, NETWORK, AR928X Wireless Network Adapter (PCI-Express)
:(32902:10818:4156:13835) pci, i915, VIDEO, Mobile 4 Series Chipset Integrated Graphics Controller
:(32902:10819:4156:13835) pci, None, VIDEO, Mobile 4 Series Chipset Integrated Graphics Controller
:(32902:10560:4156:13835) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 1
:(32902:10562:4156:13835) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 2
:(4332:33078:4156:13835) pci, r8169, ETHERNET, RTL8101E/RTL8102E PCI Express Fast Ethernet controller
:(32902:10546:4156:13835) pci, None, NONE, 82801I (ICH9 Family) Thermal Subsystem
:(32902:10558:4156:13835) pci, snd_hda_intel, MULTIMEDIA, 82801I (ICH9 Family) HD Audio Controller
:(32902:10537:4156:13835) pci, ahci, STORAGE, ICH9M/M-E SATA AHCI Controller
:(32902:10549:4156:13835) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #2
:(32902:10544:4156:13835) pci, i801_smbus, SERIAL, 82801I (ICH9 Family) SMBus Controller
:(32902:9288:4156:13835) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:10548:4156:13835) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #1
:(32902:10551:4156:13835) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #4
:(32902:10552:4156:13835) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #5
:(32902:10816:4156:13835) pci, agpgart-intel, HOST/PCI, Mobile 4 Series Chipset Memory Controller Hub
:(32902:10550:4156:13835) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #3
:(32902:10553:4156:13835) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #6
:(32902:10554:4156:13835) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #1
:(32902:10556:4156:13835) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #2
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_fedora-lv_root / ext4 4096 4096 12901535 9304842 8649482 3276800 2813846 2813846
:/dev/sda1 /boot ext4 1024 1024 495844 372196 346596 128016 127651 127651
:/dev/mapper/vg_fedora-lv_home /home ext4 4096 4096 62628821 52537316 49355953 15908864 15833522 15833522
:/dev/sdb1 WITHHELD fuseblk 512 512 15826880 15510734 15510734 7759463 7759381 7759381
:

var_log_messages:
:Aug 13 17:36:31 Fedora kernel: [98379.006356] xmlcopyeditor[22406]: segfault at 4 ip 00007fe0f7871d3a sp 00007fff126bbb00 error 4 in libgnomeprint-2-2.so.0.1.0[7fe0f782a000+74000]
:Aug 13 17:36:31 Fedora abrt[24087]: Saved core dump of pid 22406 (/usr/bin/xmlcopyeditor) to /var/spool/abrt/ccpp-2012-08-13-17:36:31-22406 (45182976 bytes)
Comment 1 mdmpsyd@gmail.com 2012-08-13 17:52:55 EDT
Created attachment 604094 [details]
File: backtrace
Comment 2 mdmpsyd@gmail.com 2012-08-13 17:52:57 EDT
Created attachment 604095 [details]
File: maps
Comment 3 mdmpsyd@gmail.com 2012-08-13 17:52:59 EDT
Created attachment 604096 [details]
File: dso_list
Comment 4 mdmpsyd@gmail.com 2012-08-13 17:53:01 EDT
Created attachment 604097 [details]
File: build_ids
Comment 5 Fedora End Of Life 2013-07-03 18:49:03 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2013-07-31 20:58:19 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.